.checklist {
    margin-top: var(--space-2xs);
}

.checklist.hasBackground {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: var(--space-m);
    max-width: 22rem;
    margin-left: auto;
    margin-right: auto;
    border-radius: var(--border-radius);
    overflow: hidden;
}

@media screen and (min-width: 60rem) {
    .checklist.hasBackground {
        margin: 0;
    }
}

.checklist.hasBackground:after {
    height: 110%;
}

.checklist.hasBackground--blob1,
.checklist.hasBackground--blob2,
.checklist.hasBackground--blob3 {
    padding: var(--space-l);
    background-color: transparent !important;
    border-radius: 0;
    overflow: initial;
}

.checklist.inline ul {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    gap: var(--space-3xs);
    margin-left: 0;
}

.checklist ul {
    margin-top: 0;
}

.checklist ul li {
    list-style: none;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: var(--space-2xs);
    margin: var(--space-2xs) 0;
}

.checklist ul li:before {
    content: '';
    display: inline-block;
    -webkit-mask-size: cover;
    mask-size: cover;
    background-color: var(--color-text);
}

.checklist.script ul li {
    font-family: var(--font-family-script);
    font-size: var(--font-size-h4);
}

.checklist--checkmark li:before {
    -webkit-mask: url('../../icons/checkmark.svg') no-repeat 50% 50%;
    mask: url('../../icons/checkmark.svg') no-repeat 50% 50%;
    min-width: 1.5rem;
    min-height: 1.5rem;
}